%define srcname protorpc

Name:           %{srcname}
Version:        0.12.0
Release:        %mkrel 8
Summary:        ProtoRPC
License:        ASL 2.0
Group:          Networking/Other
Url:            https://github.com/google/protorpc
Source:         https://github.com/google/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
Patch0:         protorpc-0.12.0-python-3.7.patch
BuildArch:      noarch
BuildRequires:  python3dist(setuptools)

%description
The Google Protocol RPC library is a framework for implementing HTTP-based
remote procedure call (RPC) services.

%package -n python3-%{srcname}
Group:          Development/Python
Summary:        ProtoRPC

%description -n python3-%{srcname}
The Google Protocol RPC library is a framework for implementing HTTP-based
remote procedure call (RPC) services.

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

%build
%py3_build

%install
%py3_install

%files
%_bindir/*

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/protorpc-%{version}*.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.12.0-8.mga9
+ Revision: 1823984
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 mrambo3501 <mrambo3501> 0.12.0-7.mga9
+ Revision: 1785912
- rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 0.12.0-6.mga9
+ Revision: 1705359
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 0.12.0-5.mga8
+ Revision: 1608252
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 0.12.0-4.mga8
+ Revision: 1533153
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.12.0-3.mga8
+ Revision: 1443660
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jan 10 2019 daviddavid <daviddavid> 0.12.0-2.mga7
+ Revision: 1354401
- rename python-protorpc to python2-protorpc

* Thu Jan 10 2019 daviddavid <daviddavid> 0.12.0-1.mga7
+ Revision: 1354396
- new version: 0.12.0
- add patch to fix build with Python 3.7
+ tv <tv>
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.11.1-5.mga7
+ Revision: 1288127
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.11.1-4.mga7
+ Revision: 1135289
- Rebuild for python 3.6

* Thu Apr 28 2016 daviddavid <daviddavid> 0.11.1-3.mga6
+ Revision: 1007053
- use new python macros

* Sat Feb 20 2016 umeabot <umeabot> 0.11.1-2.mga6
+ Revision: 971287
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 pterjan <pterjan> 0.11.1-1.mga6
+ Revision: 890617
- imported package protorpc

